# Generated from slack_test_reporter-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name slack_test_reporter

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Parse test results from various sources and post reports to Slack
License: MIT
URL: https://gitlab.com/gitlab-org/quality/junit-slack-reporter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.82.0
# BuildRequires: rubygem(rubocop) < 0.83
# BuildRequires: rubygem(rubocop-rspec) >= 1.36
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(factory_bot) >= 6.1
# BuildRequires: rubygem(factory_bot) < 7
# BuildRequires: rubygem(rspec-parameterized) >= 0.4.2
# BuildRequires: rubygem(rspec-parameterized) < 0.5
BuildArch: noarch

%description
Parse test results from various sources and post reports to Slack.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.bundle
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/slack_test_reporter.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.1-1
- Initial package
